;;  edivad-suite a simple suite of gimp scripts for simplify my life
;;  Copyright (C) 2008  Davide Giannella <edivad_@users.sourceforge.net>
;;
;;  This program is free software; you can redistribute it and/or modify
;;  it under the terms of the GNU General Public License as published by
;;  the Free Software Foundation; version 2 of the License.
;; 
;;  This program is distributed in the hope that it will be useful,
;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;  GNU General Public License for more details.
;;
;;  You should have received a copy of the GNU General Public License along
;;  with this program; if not, write to the Free Software Foundation, Inc.,
;;  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

;;(set! ROTATE_DIRS '("90° CW" "90° CCW" "180°"))
;;(set! GIMP_ROTATE_90 0)
;;(set! GIMP_ROTATE_180 1)
;;(set! GIMP_ROTATE_270 2)

(define ROTATE_DIRS '("90° CW" "90° CCW" "180°"))
(define GIMP_ROTATE_90 0)
(define GIMP_ROTATE_180 1)
(define GIMP_ROTATE_270 2)

(define (edivad-rotate-file file direction)
  (let*
      (
       (image (car (gimp-file-load RUN-NONINTERACTIVE file file)))
       (draw (car (gimp-image-get-active-drawable image)))
       (fname (string-append (parse-name (car (gimp-image-get-filename image))) "-rotated.xcf")) 
       (rd GIMP_ROTATE_90)
       )
    (cond
     ((= direction 0) (set! rd GIMP_ROTATE_90))
     ((= direction 1) (set! rd GIMP_ROTATE_270))
     ((= direction 2) (set! rd GIMP_ROTATE_180))
     )
    (gimp-image-rotate image rd)
    (gimp-file-save RUN-NONINTERACTIVE image draw fname fname)
    (gimp-image-delete image)
    )
  )

(define (edivad-rotate dir pattern direction)
  (let*
      (
       (ptr (car (build-pattern dir (car (get-pattern pattern)))))
       (filelist 0)
       (filename 0)
       )
    (set! filelist (cadr (file-glob ptr 1)))
    (while (not (null? filelist))
           (set! filename (car filelist))
           (edivad-rotate-file filename direction)
           (set! filelist (cdr filelist))
           )
    )
  )

(script-fu-register "edivad-rotate"
                    _"<Toolbox>/Xtns/Script-Fu/edivad-suite/Rotate"
                    "Rotate all the images in the provided directory by the provided pattern"
                    "Davide Giannella"
                    "(C) Davide Giannella"
                    "October 2008"
                    ""
                    SF-DIRNAME "Directory" ""
                    SF-OPTION "Pattern" PATTERNS
                    SF-OPTION "Direction" ROTATE_DIRS
                    )