;;  edivad-suite a simple suite of gimp scripts for simplify my life
;;  Copyright (C) 2008  Davide Giannella <edivad_@users.sourceforge.net>
;;
;;  This program is free software; you can redistribute it and/or modify
;;  it under the terms of the GNU General Public License as published by
;;  the Free Software Foundation; version 2 of the License.
;; 
;;  This program is distributed in the hope that it will be useful,
;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;  GNU General Public License for more details.
;;
;;  You should have received a copy of the GNU General Public License along
;;  with this program; if not, write to the Free Software Foundation, Inc.,
;;  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

;;;;
;; Take the selected directory by pattern and convert it for printing
;; 
;; @param dir SF-DIRNAME the directory to parse
;; @param pattern SF-OPTION the pattern
;; @param dpi SF-VALUE the desired dpi 
(define (printify-dir dir pattern dpi)
  (let*
      (
       (ptr (car (build-pattern dir (car (get-pattern pattern)))))
       (filelist (cadr (file-glob ptr 1)))
       (filename 0)
       )
    (while (not (null? filelist))
           (set! filename (car filelist))
           (printify-file filename dpi)
           (set! filelist (cdr filelist))
    )
  )
)

(script-fu-register "printify-dir"
                    _"<Toolbox>/Xtns/Script-Fu/edivad-suite/Printify/Directory"
                    "Take the selected directory and convert all images matching pattern into jpg 72dpi"
                    "Davide Giannella"
                    "(C) Davide Giannella"
                    "November 2008"
                    ""
                    SF-DIRNAME "Directory" ""
                    SF-OPTION "Pattern" PATTERNS
                    SF-VALUE "dpi" "300"
)