;;  edivad-suite a simple suite of gimp scripts for simplify my life
;;  Copyright (C) 2008  Davide Giannella <edivad_@users.sourceforge.net>
;;
;;  This program is free software; you can redistribute it and/or modify
;;  it under the terms of the GNU General Public License as published by
;;  the Free Software Foundation; version 2 of the License.
;; 
;;  This program is distributed in the hope that it will be useful,
;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;  GNU General Public License for more details.
;;
;;  You should have received a copy of the GNU General Public License along
;;  with this program; if not, write to the Free Software Foundation, Inc.,
;;  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

;;;;
;; Take the selected image and convert for printing
;; 
;; @param path SF-FILENAME the path of the image to process
;; @param dpi SF-VALUE the desired dpi
(define (printify-file path dpi)
  (let*
      (
       (image (car (gimp-file-load RUN-NONINTERACTIVE path path))) ;load image
       (drawable (car (gimp-image-get-active-layer image))) ;get drawable       
       )
    (printify-image image drawable dpi)
    (gimp-image-delete image)
      )
  )

(script-fu-register "printify-file"
                    _"<Toolbox>/Xtns/Script-Fu/edivad-suite/Printify/Single File"
                    "Take the selected image and convert for printing"
                    "Davide Giannella"
                    "(C) Davide Giannella"
                    "November 2008"
                    ""
                    SF-FILENAME "File Path" ""
                    SF-VALUE "dpi" "300"
)
